iT邦幫忙

0

請教有設定過在同一台ubuntu server 安裝兩套不同的php版本嗎?

請一下各位大大有人有設定過在同一台ubuntu server 安裝兩套不同的php版本嗎? 我需要安裝舊版的 php 5.2,但同時Server上有新的php 5.5,之前試著用phpbrew但都無法設定成功,請問各位大大有人有經驗的嗎?
謝謝

看更多先前的討論...收起先前的討論...
aeolus0829 iT邦研究生 4 級 ‧ 2016-01-11 11:16:31 檢舉
在 ubuntu 上裝 docker 再啟用兩個 container 分別裝不同 php 如何?
fillano iT邦超人 1 級 ‧ 2016-01-11 16:10:18 檢舉
他要的應該是同一個web server,在不同的目錄或不同的虛擬伺服器中跑不同版本的php,這樣跟需要透過docker才能支援的環境應該無關,只要改用fastcgi加上設定應該就可以了。
daniel418 iT邦新手 5 級 ‧ 2016-01-18 07:28:17 檢舉
是的,雖然這問題我解決了,但還是沒有設定成功兩個不同版本的PHP在同一台Ubuntu Server上,大大有相關的經驗嗎?
daniel418 iT邦新手 5 級 ‧ 2016-01-18 07:29:03 檢舉
謝謝回答,docker的部份目前應該還用不上的.

1 個回答

0
Blue Jacky
iT邦大師 1 級 ‧ 2016-01-10 02:43:50

你可以用類似下列幾組關鍵字就能在網路上找到很多教學。
Multiple PHP
Additional PHP Versions
(自行調整、變換用詞,若連這都不會,那...)

daniel418 iT邦新手 5 級 ‧ 2016-01-18 07:31:18 檢舉

謝謝回答,最後我還是直接從安裝檔去修改,讓該應用程式可以符合php 5.5 的版本,就解決了這個問題.之前是安裝時一直有擋,所以無法安裝成功.

我要發表回答

立即登入回答